Package: antlr3.2 / 3.2-16

Metadata

Package Version Patches format
antlr3.2 3.2-16 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
01 ignore antlr plugin.patch | (download)

tool/pom.xml | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

 disable the antlr plugin for the tool module only. the generated source files are already in debian/generated-sources
java7 compat.patch | (download)

antlr3-maven-plugin/pom.xml | 2 1 + 1 - 0 !
gunit/pom.xml | 2 1 + 1 - 0 !
pom.xml | 2 1 + 1 - 0 !
runtime/Java/pom.xml | 2 1 + 1 - 0 !
4 files changed, 4 insertions(+), 4 deletions(-)

 target java 1.5 instead of jsr14 which is not supported
 by Java 7.
 .
 The minimum java version in Debian is 1.5 so this is OK.
java8 compat.patch | (download)

tool/src/main/java/org/antlr/tool/CompositeGrammar.java | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fixes a nullpointerexception in compositegrammar.getindirectdelegates() with java 8